# Project: ipv6calc
# File   : TODO
# Version: $Id: TODO,v 1.28 2015/05/05 20:40:47 ds6peter Exp $

TODO list
=========

Next
----------

Short term
----------

Middle term
-----------

Format:
* octal:
    should also be understandable by input (currently, only output is supported)

IEEE/OUI library:
* perhaps more filtering of unnecessary information

Code cleanup:
* finish splint

Help:
* add more examples in inline help

ipv6calcweb.cgi:
* add alarm wrapper around call of ipv6calc

Documentation:
* add more information to USAGE docs


Features requested from others:

-call no kernel-specific or userland-specific functions, just C.

ipv6calc C library would contain routines to represent  the
following forms (and convert between them):
  -x:x:x:x:x:x:x:x                       
  -::                                    
  -x:x:x:x:x:x:d.d.d.d
  -ipv6-address/prefix-length
  -scoped_address%scope_id
  -base 85 (compact notation)
  -URL's
  -binary labels
  -comparing addresses, v4/v4, v4/v6
  -not use malloc or strxxx functions.
